Bug 1466443 (CVE-2017-9776) - CVE-2017-9776 poppler: Integer overflow in JBIG2Stream.cc
Summary: CVE-2017-9776 poppler: Integer overflow in JBIG2Stream.cc
Status: CLOSED ERRATA
Alias: CVE-2017-9776
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20170621,repor...
Keywords: Reopened, Security
Depends On: 1459067 1459068 1479815 1479816 1482934 1482935
Blocks: 1479824
TreeView+ depends on / blocked
 
Reported: 2017-06-29 15:36 UTC by Andrej Nemec
Modified: 2019-06-08 22:05 UTC (History)
9 users (show)

(edit)
An integer overflow leading to heap-based buffer overflow was found in the poppler library. An attacker could create a malicious PDF file that would cause applications that use poppler (such as Evince) to crash, or potentially execute arbitrary code when opened.
Clone Of:
(edit)
Last Closed: 2017-08-31 14:05:06 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:2550 normal SHIPPED_LIVE Moderate: poppler security update 2017-08-30 18:31:48 UTC
Red Hat Product Errata RHSA-2017:2551 normal SHIPPED_LIVE Moderate: poppler security update 2017-08-30 18:00:52 UTC

Description Andrej Nemec 2017-06-29 15:36:55 UTC
Integer overflow leading to Heap buffer overflow in JBIG2Stream.cc in Poppler allows attackers to cause a denial of service (application crash) or possibly have unspecified other impact via a crafted PDF document.

Upstream issue:

https://bugs.freedesktop.org/show_bug.cgi?id=101541

Upstream patch:

https://cgit.freedesktop.org/poppler/poppler/commit/?id=a3a98a6d83dfbf49f565f5aa2d7c07153a7f62fc

Comment 1 Andrej Nemec 2017-06-29 15:39:16 UTC
Created mingw-poppler tracking bugs for this issue:

Affects: fedora-all [bug 1459068]


Created poppler tracking bugs for this issue:

Affects: fedora-all [bug 1459067]

Comment 7 errata-xmlrpc 2017-08-30 14:09:04 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2017:2551 https://access.redhat.com/errata/RHSA-2017:2551

Comment 8 errata-xmlrpc 2017-08-30 14:32:16 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2017:2550 https://access.redhat.com/errata/RHSA-2017:2550


Note You need to log in before you can comment on or make changes to this bug.